MultiPHP INI Editor en replacement du PHP-Selector

David partagé ce idée il y a 3 mois
En cours

Venant tout juste d'upgrader vers une offre World Plus je m’aperçois que la fonctionnalité MultiPHP est désactivé sur ces offres alors que sur les anciennes formules (Hybride Multi sur Lyman dans mon cas) cela était possible et bien pratique.

On pouvait ainsi choisir quelle version de PHP utiliser en fonction du domaine hébergé, et aussi pouvoir éditer et modifier des variables PHP sur notre hébergement uniquement et non sur tout le serveur.

Commentaires (4)

photo
1

Bonjour M. MELCHIOR,

L'option multiPHP est recommandé seulement pour les hébergements dédiés. Afin de sélectionner la version de PHP sur votre World, il vous sera possible d'utiliser la fonction "Languages > PHP" de votre World .

Il est aussi possible de le faire avec l'option "Sélectionner une version de PHP" du cPanel.

Pour plus d'information: https://my.planethoster.net/knowledgebase/article/7/comment-modifier-les-valeurs-parametres-de-php


N'hésitez pas de contacter le support si vous avez des questions.

Cordialement,

Gabriel P.

photo
1

Comme expliqué à Quentin sur un ticket de support (qui m'a suggéré de poster ici), cette option était activée sur mon ancienne offre mutualisée.

C'est dommage de perdre une option comme celle-ci en upgradant.

Je dois reconnaître que pour une fois depuis des années chez PH je suis un peu déçu...

D'autant plus que du coup si je veux changer la version PHP je le change pour tous mes sites, au lieu de pouvoir faire du cas par cas...

J'aurai dû mieux me renseigner sur les caractéristiques et comparer les offres avant de valider la migration.

Cela m'apprendra....

photo
1

Bonjour David,

Effectivement depuis EasyApache4, cPanel offre directement la possibilité native de gérer plusieurs versions de PHP sur le serveur via le MultiPHP et cela rentre un peu dans les plat de bande du PHP-Selector offert par CloudLinux.

Actuellement les grand avantage sde CloudLinux est d'offrir une version sécurisée des anciennes versions en plus d'ajout d'extension via les packages dits « hardened. Sachez toute foi que CloudLinux commence à rentrer dans le MultiPHP depuis la version 70 de cPanel et qu'une fusion des deux systèmes à été indiqué ici: https://cloudlinux.zendesk.com/hc/en-us/articles/115004490065-CloudLinux-PHP-Selector-and-cPanel-Multiple-PHP-Manager-from-EA4-explained

As soon as MultiPHP will have the same feature set as PHP Selector (good module selector for a customer, easy PHP.ini editor, etc) we will migrate PHP Selector enabled accounts to MultiPHP, and disable PHP Selector for good. But only when feature parity will be achieved.

Je pense que CloudLinux à du voir votre message ! :-)


Sachez toute de fois qu'avec notre offre actuelle à savoir la The-World, vous avez la possibilité de créer pour chaque domaine un compte cPanel distinct, dès lors cela rajouter plus de sécurité et stabilité et permet d'avoir une version de PHP par domaine en plus d'être situé sur des infrastructures différentes.


Bien à vous

photo
1

Bonjour Quentin,

Quelle est cette offre The-World car je ne la trouve nul part ?

Est-ce une sorte d'offre revendeur ? Sur le principe cela y ressemble

photo